using System;
using System.Reflection;
using System.Xml;

namespace AspectWeaver.Advices
{
	public class Delete : BaseAdvice
	{
		public Delete(XmlNode adviceNode, XmlDocument baseDoc, WeaveLogger logger) : base(adviceNode, baseDoc, logger)
		{
		}

		public override void DoWeave()
		{
			foreach (XmlNode nodeToBeDeleted in GetTargetNodes())
			{
				AddAffectedElementLog(Utils.GetElementDesc(nodeToBeDeleted));

				nodeToBeDeleted.ParentNode.RemoveChild(nodeToBeDeleted);
			}

			SetStatusLog("weaved successfully");
		}

	}
}
