/*
 * Copyright (c) 2004 DotNetGuru and the individuals listed
 * on the ChangeLog entries.
 *
 * Authors :
 *   Evain Jb   (jb@evain.net)
 *
 * This is a free software distributed under a BSD license
 * See LICENSE.BSD file for more details
 *
 *****************************************************************************/

namespace Ilml {

    using System;
	using System.Runtime.Serialization;

    /// <summary>
    /// Exception that occurs if an ILML assembly
    /// can not assembled
    /// </summary>
    [Serializable]
    public class AssembleException : Exception {

        public AssembleException() {}
        public AssembleException(string message) : base(message) {}
        public AssembleException(string message, Exception inner) : base(message, inner) {}
		public AssembleException(SerializationInfo info , StreamingContext context) : base(info, context){}

    }
}