/*
 * Copyright (c) 2004 DotNetGuru and the individuals listed
 * on the ChangeLog entries.
 *
 * Authors :
 *   Evain Jb   (jb@evain.net)
 *
 * This is a free software distributed under a BSD license
 * See LICENSE.BSD file for more details
 *
 *****************************************************************************/

namespace Ilml {

    using System;
	using System.Runtime.Serialization;

    /// <summary>
    /// Exception that occurs if an assembly
    /// can not be disassembled
    /// </summary>
	[Serializable]
	public class DisassembleException : Exception {

        public DisassembleException() {}
        public DisassembleException(string message) : base(message) {}
        public DisassembleException(string message, Exception inner): base(message, inner) {}
		public DisassembleException(SerializationInfo info , StreamingContext context) : base(info, context){}
	}
}