using System;

namespace AspectWeaver.Aspects
{
	[AttributeUsage(AttributeTargets.All, AllowMultiple=true)]
	public class IntroduceAttribute : Attribute
	{
		public IntroduceAttribute()
		{
		}

		public IntroduceAttribute(string targetXPath)
		{
		}
	}

	[AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
	public class BeforeConstructorCallAttribute : Attribute
	{
		public BeforeConstructorCallAttribute(string targetXPath)
		{
		}
	}

	[AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
	public class AfterConstructorCallAttribute : Attribute
	{
		public AfterConstructorCallAttribute(string targetXPath)
		{
		}
	}

	[AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
	public class BeforeMethodCallAttribute : Attribute
	{
		public BeforeMethodCallAttribute(string targetXPath)
		{
		}
	}

	[AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
	public class AfterMethodCallAttribute : Attribute
	{
		public AfterMethodCallAttribute(string targetXPath)
		{
		}
	}

	[AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
	public class InlineAtStartAttribute : Attribute
	{
		public InlineAtStartAttribute(string targetXPath)
		{
		}
	}

	[AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
	public class InlineBeforeReturnAttribute : Attribute
	{
		public InlineBeforeReturnAttribute(string targetXPath)
		{
		}
	}

	[AttributeUsage(AttributeTargets.Method, AllowMultiple=true)]
	public class AroundBodyAttribute : Attribute
	{
		public AroundBodyAttribute(string targetXPath)
		{
		}
	}
}
