using System;
using System.Reflection;

namespace TestLib
{
	public class TestClass
	{
		public TestClass()
		{
		}

		public TestClass(object obj)
		{
		}

		private string fieldToBeDeleted;

		public void MethodToBeDeleted()
		{
		}

		public void TestBeforeAfterConstructorCall()
		{
			object obj1 = new TestClass();
			new TestClass(MethodUsedToTestMethodBeforeAfterCall());
		}

		public int MethodUsedToTestMethodBeforeAfterCall()
		{
			return 0;
		}

		public void TestBeforeAfterMethodCall()
		{
			object i = MethodUsedToTestMethodBeforeAfterCall();
			MethodUsedToTestMethodBeforeAfterCall();
		}

		public void TestInlineAtStartBeforeReturn()
		{
		}

		public void MethodToBeAroundedBody()
		{
			Console.Write("MethodToBeAroundedBody");
		}

		public string PropertyToBeAroundedBody
		{
			set
			{
			}
		}

		public void MethodToBeTestedGetContextInfoAndGetArgumments(object p1, string p2, int p3)
		{
			TestStaticMethod("p1");
		}

		public void MethodToTestGetContextInfoAndGetArgumments()
		{
			MethodToBeTestedGetContextInfoAndGetArgumments("p1", "p2", MethodUsedToTestMethodBeforeAfterCall());
		}

		public static string TestStaticMethod(string p1)
		{
			string str = TestStaticMethod(p1);
			return "p1";
		}

		public static void TestBeforeStaticMethodCall()
		{
			TestStaticMethod("p1");
			string str = TestStaticMethod("p1");
			TestStaticMethod("p1");
		}

		public void TempMethod(string p1, object p2, int p3)
		{
			Type[] types = new Type[3];
			types[0] = p1.GetType();
			types[1] = p2.GetType();
			types[2] = p3.GetType();
			MethodBase contextInfo = GetType().GetMethod("TempMethod", types);
		}
	}

	public class ClassToBeDeleted
	{
	}

	public interface InterfaceToBeImpelementInterface
	{
	}
}
