/*
 * Copyright (c) 2004 DotNetGuru and the individuals listed
 * on the ChangeLog entries.
 *
 * Authors :
 *   Evain Jb   (jb@evain.net)
 *
 * This is a free software distributed under a BSD license
 * See LICENSE.BSD file for more details
 *
 *****************************************************************************/

namespace Ilml {

    using System;
	using System.Runtime.Serialization;

    /// <summary>
    /// Exception that occurs if the image
    /// can not be loaded
    /// </summary>
	[Serializable]
	public class AssemblyLoadException : Exception {

        public AssemblyLoadException() {}
        public AssemblyLoadException(string message) : base(message) {}
        public AssemblyLoadException(string message, Exception inner) : base(message, inner) {}
		public AssemblyLoadException(SerializationInfo info , StreamingContext context) : base(info, context){}
    }
}