/*
 * Copyright (c) 2004 DotNetGuru and the individuals listed
 * on the ChangeLog entries.
 *
 * Authors :
 *   Thomas Gil (thomas.gil@dotnetguru.org)
 *   Evain Jb   (jb@evain.net)
 *
 * This is a free software distributed under a BSD license
 * See LICENSE.BSD file for more details
 *
 *****************************************************************************/

namespace Ilml.Adapters {

    using System;

    internal abstract class XmlAdapter {

        private readonly string m_tagName;

        public string TagName {
            get { return m_tagName; }
        }

		protected XmlAdapter(string tagName) {
            m_tagName = tagName;
		}

	}
}
